---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci ci lint`

Checks if your `.gitlab-ci.yml` file is valid.

```plaintext
glab ci ci lint [flags]
```

## Examples

```plaintext
# Uses .gitlab-ci.yml in the current directory
$ glab ci lint

$ glab ci lint .gitlab-ci.yml

$ glab ci lint path/to/.gitlab-ci.yml

```

## Options

```plaintext
      --dry-run        Run pipeline creation simulation.
      --include-jobs   Response includes the list of jobs that would exist in a static check or pipeline simulation.
      --ref string     When 'dry-run' is true, sets the branch or tag context for validating the CI/CD YAML configuration.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
